// 
// Copyright 2016 Agencia Estatal de Administración Tibutaria
//
// Licencia con arreglo a la EUPL, Versión 1.1 o -en cuanto
// sean aprobadas por la Comisión Europea- versiones
// posteriores de la EUPL (la «Licencia»);
// Solo podrá usarse esta obra si se respeta la Licencia.
// Puede obtenerse una copia de la Licencia en:
//  
// https://joinup.ec.europa.eu/software/page/eupl
//  
// Salvo cuando lo exija la legislación aplicable o se acuerde
// por escrito, el programa distribuido con arreglo a la
// Licencia se distribuye «TAL CUAL», SIN GARANTÍAS NI CONDICIONES
// DE NINGÚN TIPO, ni expresasni implícitas.
//
// Véase la Licencia en el idioma concreto que rige los permisos y 
// limitaciones que establece la Licencia.
// 

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Threading;

namespace ateneo.utiles
{
    public partial class MensajeUrgente : Form
    {
        public MensajeUrgente() {
            InitializeComponent();
            BackgroundWorker bw = new BackgroundWorker();
            bw.DoWork += new DoWorkEventHandler(bw_DoWork);
            bw.RunWorkerAsync();
        }

        void bw_DoWork(object sender, DoWorkEventArgs e) {
            Thread.Sleep(200);
            System.Media.SystemSounds.Exclamation.Play();
            Thread.Sleep(200);
            System.Media.SystemSounds.Exclamation.Play();
        }

        public void ponerTexto(string txt) {
            lbTexto.Text = txt;
            Size size = this.ClientSize;
            int margenInferior = ((size.Height - btAceptar.Bottom) * 2) + btAceptar.Height;
            if ( (size.Width - 95) < lbTexto.Width) {
                size.Width = lbTexto.Width + 100;
            }
            this.ClientSize = new Size(size.Width, lbTexto.Bottom + margenInferior);
            lbTexto.Left = 20 + ((size.Width - lbTexto.Width - 75) / 2);
        }

        public static void show(string texto, string titulo) {
            MensajeUrgente mu = new MensajeUrgente();
            mu.Text = titulo;
            mu.ponerTexto(texto);
            mu.ShowDialog();
            mu.Dispose();
        }

        private void MensajeUrgente_Activated(object sender, EventArgs e) {
        }

    }
}